

// Set up global variables for all the animated layers
var driehoekOverlay;
var driehoekLogo;
var driehoekTop;
var logo;
var txt1;
var txt2;
var txt3;
var txt_actie;
var premium;
var cta_button;
var glare_top;
var glare_bottom;
var button_arrow;
var button_txt;
var clicktag;
var overlay;

var groenvlak;
var txt1;
var txt2;

var afbeelding;

var firstShow = true;

function init() {
	overlay = document.getElementById('overlay');
	afbeelding = document.getElementById('afbeelding');
	groenvlak = document.getElementById('groenvlak');
	txt1 = document.getElementById('txt1');
	txt2 = document.getElementById('txt2');
	txt3 = document.getElementById('txt3');
	clicktag	 	= document.getElementById('clicktag');
	cta_button = document.getElementById('cta_button');
	button_txt = document.getElementById('button_txt');

	TweenMax.set(cta_button, { autoAlpha:0 });
	TweenMax.set(button_txt, { x:10 });
	TweenMax.set(overlay, {autoAlpha:0});
	TweenMax.set(afbeelding, { scale:0.85});

	addEvent(cta_button, 'mouseenter', enterButton);
	addEvent(cta_button, 'mouseleave', outButton);

	animate();

}

function animate() {
	TweenMax.to(afbeelding, 8, { scale:1, ease:Linear.easeNone});

	TweenMax.from(groenvlak,1.25, { x:-400, ease: Power2.easeOut , delay:1.5});

	TweenMax.from(txt1, 0.75, { opacity:0, x:-20, ease:Power2.easeOut, delay:2.5});
	TweenMax.to(txt1, 0.75, { opacity:0, x:+20, ease:Power2.easeOut, delay:6.0});

    TweenMax.from(txt2, 0.75, { opacity:0, x:-20, ease:Power2.easeOut, delay:6.5});
   
	TweenMax.to(cta_button, 0.5, {autoAlpha:1, delay:7.5, ease:Quad.easeIn});

	TweenMax.from(txt3, 0.75, { opacity:0, ease:Power2.easeOut, delay:9.0});
}

function enterButton() {
	TweenMax.to(cta_button, .1, {backgroundPosition: "+=3px 9px", ease: "easeOutCirc" })
	TweenMax.to(button_txt, .1, {x:7});
}

function outButton() {
	TweenMax.to(cta_button, .1, {backgroundPosition: "-=3px 9px", ease: "easeOutCirc" })
	TweenMax.to(button_txt, .1, {x:10});
}

function exitHandler() {
	Enabler.exitOverride('HTML5_Background_Clickthrough', Exit_url);
}

function addEvent(element, myEvent, fnc) {

    return ((element.attachEvent) ? element.attachEvent('on' + myEvent, fnc) : element.addEventListener(myEvent, fnc, false));
}
